Foreman - Refactor #15406

Move puppet_environment overview field outside core's #overview_fields helper.
06/14/2016 08:33 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Puppet integration
Target version:
Difficulty: Fixed in Releases: 1.24.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3607
Description

It should be added as part of puppet hepler.

Related issues:
Related to Foreman - Tracker #9596: Extract Puppet functionality to a plugin

Related to Foreman - Bug #28891: All hosts showing "Failure: undefined method...

Related to Foreman - Bug #32217: OS search on host list is broken
Blocks Katello - Refactor #27720: Use plugin DSL to register content host link

Blocks OpenSCAP - Refactor #27721: Use plugin DSL to register compliance link...

New

Closed
Closed
Closed
Closed

03/01/2015

Associated revisions

Revision 377ff667 - 08/28/2019 07:12 AM - Shimon Shtein
Fixes #15406 - Moved puppet outside hosts helper

History

#1 - 06/14/2016 08:34 AM - Shimon Shtein
- Related to Tracker #9596: Extract Puppet functionality to a plugin added

#2 - 06/22/2016 07:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/3607 added

#3 - 06/26/2017 11:45 AM - lvan Necas

- Target version set to 1.14.2

#4 - 07/23/2018 08:43 AM - Tomer Brisker
- Target version deleted (1.14.2)

#5 - 08/28/2019 07:12 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#6 - 08/28/2019 08:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed

Applied in changeset 377ff667bbe3c2df8cd0831d9fe60bb9b316d680.

#7 - 08/28/2019 08:10 AM - Ondfej Prazak
- Blocks Refactor #27720: Use plugin DSL to register content host link added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/377ff667bbe3c2df8cd0831d9fe60bb9b316d680

#8 - 08/28/2019 08:13 AM - Ondfej Prazak
- Blocks Refactor #27721: Use plugin DSL to register compliance link for host added

#9 - 10/24/2019 12:58 PM - Amit Upadhye

- Category set to Puppet integration

#10 - 02/06/2020 05:09 PM - Tomer Brisker
- Related to Bug #28891: All hosts showing "Failure: undefined method “title' for nil:NilClass" in Properties pane added

#11 - 03/26/2021 05:08 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #32217: OS search on host list is broken added
